Subject: bug#62571: 30.0.50; Crash on entering 20x enlarged number

From: Po Lu <[email-masked]>
Date: Sat, 01 Apr 2023 08:42:42 +0800

Jean Louis <[email-masked]> writes:

> Here is how to reproduce:
>
> 1. emacs -Q
> 2. C-x + and repeat pressing + for 20 times in total
> 3. I press 6, as I wanted to show to child how number 6 looks like
> 4. X Server crashed, I guess Emacs too, I have no idea
>
> I did not test it with other numbers but 6, but it can easily be that X
> Window server will crash with letters as well.
>
> It is very repeatable. I am using Lucid built. Font used by default is
> here below, if that matter.
> Windowing system distributor 'The X.Org Foundation', version 11.0.12101006

Xorg should print its crashes to a log typically at /var/log/Xorg.N.log,
where N is the number of your display.

Such a crash message should contain its backtrace on GNU/Linux systems,
for example:

[ 14866.219] 
Backtrace:
[ 14866.219] 0: /usr/bin/X (xorg_backtrace+0x3b) [0x80b190b]
[ 14866.219] 1: /usr/bin/X (0x8048000+0x6202d) [0x80aa02d]
[ 14866.219] 2: (vdso) (__kernel_rt_sigreturn+0x0) [0xb789140c]
[ 14866.219] 16: /usr/bin/X (WriteToClient+0x15e) [0x80aac6e]
[ 14866.219] 17: /usr/bin/X (WriteEventsToClient+0x2be) [0x80929ae]
[ 14866.219] 18: /usr/bin/X (TryClientEvents+0xe2) [0x8095462]
[ 14866.219] 19: /usr/bin/X (DeliverEventsToWindow+0x390) [0x8098450]
[ 14866.219] 20: /usr/bin/X (DeliverEvents+0xf8) [0x8099018]
[ 14866.219] 21: /usr/bin/X (DeleteWindow+0x203) [0x8076b43]
[ 14866.219] 22: /usr/bin/X (FreeClientResources+0xed) [0x806389d]
[ 14866.219] 23: /usr/bin/X (CloseDownClient+0x69) [0x80659e9]
[ 14866.219] 24: /usr/bin/X (CheckConnections+0x137) [0x80a8987]
[ 14866.219] 25: /usr/bin/X (WaitForSomething+0x98c) [0x80a33ac]
[ 14866.220] 26: /usr/bin/X (0x8048000+0x2261e) [0x806a61e]
[ 14866.220] 27: /usr/bin/X (0x8048000+0x1a5ba) [0x80625ba]
[ 14866.220] 28: /lib/libc.so.6 (__libc_start_main+0xe7) [0xb75b5ce7]
[ 14866.220] 29: /usr/bin/X (0x8048000+0x1a191) [0x8062191]
[ 14866.220] Segmentation fault at address 0x1
[ 14866.220] 
Caught signal 11 (Segmentation fault). Server aborting

Typically, the DDX symbols printed are enough to give us an idea of what
has gone wrong.  Would you please try to obtain such a backtrace from
your X server crash?